#!/bin/sh

# useradd -s /bin/bash -d /opt/stack -m stack
# chmod +x /opt/stack

# apt-get install sudo -y
# echo "stack ALL=(ALL) NOPASSWD: ALL" | sudo tee /etc/sudoers.d/stack

##
## Install prerequisites
##
sudo apt-get install -y git

## 
## Get openstack
## 
git clone https://opendev.org/openstack/devstack
cd devstack || exit 1

##
## Create configuration
## 
cat > local.conf <<-MARK
[[local|localrc]]
FLOATING_RANGE=192.168.1.224/27
FIXED_RANGE=10.11.12.0/24
ADMIN_PASSWORD=admin1pass
DATABASE_PASSWORD=database2pass
RABBIT_PASSWORD=rabbit3pass
SERVICE_PASSWORD=service4pass
MARK

##
## Run devstack
##
./stack.sh

